lua_parser

A Lua 5.2 Parser
README

This repository contains a
luajit/lua 5.2 parser and pretty
printer implemented in OCaml. It has been reasonably well
tested and any code parsed and pretty printed should execute correctly. If not
please submit an issue.

Installation

As long as you have a current version of opam,
installation is as simple as:

$ opam install lua_parser

You can then use it to parse and print lua code:

$ l2l -lua file1.lua

License

MIT

Install
Published
06 Feb 2022
Sources
1.0.2.tar.gz
md5=35b1a3c607a0e23f81322f4b99b11d13
sha512=ed3995928aaf87d68114a9d5bee1ca5b41dd359134589ef6eba4ea2cc5b41a78bc4ac35603301dc1bd29260a0908c6142fabf689a7a7d8b76a3abf8ecdbd9194
Dependencies
odoc
with-doc
ppx_sexp_conv
>= "v0.14.1"
sexplib
>= "v0.14.0"
sexp_pretty
>= "v0.14.0"
menhir
>= "20200624"
dune
>= "2.8"
Reverse Dependencies